import type { PageLoad } from './$types';

export const load: PageLoad = async ({ params }) => {
	const allPostFiles = import.meta.glob('$content/post/*.md');
	const iterablePostFiles = Object.entries(allPostFiles);

	const allPosts = await Promise.all(
		iterablePostFiles.map(async ([path, resolver]) => {
			const { metadata } = await resolver();
			const postPath = path.slice("/src/content/".length, -".md".length);

			return {
				meta: metadata,
				path: postPath
			};
		})
	);

	return {
		allPosts
	};
};
