import { error } from '@sveltejs/kit';
import type { PageLoad } from './$types';

export const load: PageLoad = async ({ params }) => {
	try {
		const post = await import(`$content/post/${params.slug}.md`);
		 if (!post) throw error(404);
		const { title, date } = post.metadata;
		const Content = post.default;

		return {
			Content,
			title,
			date
		};
	}
	catch(_e) {
		 throw error(404)
	}
}
